// set handler to tabs:  need for seng objects to backgroung.js
chrome.extension.onConnect.addListener(function(port){
    port.onMessage.addListener(factory);
});


/**
 * Function remove spaces in begin and end of string
 *
 * @version 2012-11-05
 * @param   string  str
 * @return  string
 */
function trim(str)
{
    return String(str).replace(/^\s+|\s+$/g, '');
}


/**
 * Functino will be called from background.js
 *
 * @return void
 */
function initialization(){
    console.log('init');
}


/**
 * Functino will be called when background.js send some data by port interface
 *
 * @return void
 */
function factory(obj){
    if(obj && obj.method){
        if(obj.data)
            window.popup[obj.method](obj.data);
        else
            window.popup[obj.method]();
    }
}


/**
 * Popup object
 *
 * @version 2013-10-11
 * @return  Object
 */
window.popupObj = function(){
};


/**
 * Pablic methods
 */
window.popupObj.prototype = {

    /**
     * some internal params
     */
    available_hosts: [],
    total_host: null,
    matches: [],
    tab_id: null,
    port: null,
    cars: [],

    /**
     * Function will be called from bg.js
     */
    setHosts: function(hosts)
    {
        this.available_hosts = hosts;
    },

    findEvent: function (data) {
        var couponErrorText = '';
        var findevent = false;
        if ($('.ms_panel .btn_delete').length) {
            $('.ms_panel .btn_delete')[0].click();
        }
        setTimeout(function () {
            console.log(data.bet);
            console.log('#MultiBetItmH'+data.bet.BookmakerEventId);
            var $eventLine = $('#MultiBetItmH'+data.bet.BookmakerEventId);

            console.log($eventLine);

            var oddName = 'П1';
            if (data.bet.Selection == "Win2") {
                oddName = 'П2';
            }
            if (data.bet.Selection == "Draw") {
                oddName = 'X';
            }

            $eventLine.find('.odCnt').each(function () {
                if ($(this).find('.tg__match_item_odd_name').text() == oddName) {
                    findevent = true;
                    if (1/parseFloat($(this).find('.l_od').text()) - 1/parseFloat(data.bet.Coefficient) < 0.01) {
                        console.log($(this).html());
                        $(this)[0].click();
                        setTimeout(function () {
                            // $('.ctrl_amount_wrapper').find('input')[0].value=data.sum.toString();
                            $('.btn_favorit_amount[value="'+data.sum.toString()+'"]')[0].click();
                            setTimeout(function () {
                                $('.favAmmButtons').find('.tg__btn-ternary')[0].click();
                            },500)
                        }, 1000)
                    } else {
                        couponErrorText = 'Коэффициент изменен';
                    }
                }
            });
        }, 200);

        setTimeout(function () {
            if (!findevent) {
                couponErrorText = 'Событие не найдено';
            }
            if ($('.tg__stake_deleted').length) {
                couponErrorText = $('.tg__stake_deleted').text();
            }
            if ($('.cp_success').length == 0 && couponErrorText == '') {
                couponErrorText = 'Неудачно';
            }
            if (couponErrorText != '') {
                this.port = chrome.extension.connect();
                this.port.postMessage({method:'setBetResult', data:{id:data.bet.Id, success:0, error: couponErrorText, resetDelay: 1}});
            }
        },15000)

    },

    updatePage: function () {
        console.log('updatePage');
        $('.sub_ov')[0].click();
    },

    reloadPage: function () {
        console.log('try reload page:');
        console.log(window.location.href);
        // location.reload();
    },

    setFavorite: function (data) {
        var needSum = data.sum;
        if (!$('.btn_favorit_amount[value="'+needSum+'"]').length) {
            $('.editFavorit')[0].click();
            setTimeout(function () {
                $('.btn_favorit_amount').first()[0].value=needSum.toString();
                setTimeout(function () {
                    $('.saveFav')[0].click();
                },1000);
            },1000);
        }
    },

    /**
     * Function will be called from bg.js
     */
    setTabId: function(id)
    {
        this.tab_id = id;
    }
}

console.log(window.location.href);
// if (window.location.href.indexOf('https://pin-up.ru/live') == 0) {
//     chrome.extension.sendRequest({url: "link"});
// }
if (window.location.href.indexOf('https://sport.pin-up.ru/SportsBook/Overview/') == 0) {
    console.log('startinit');
    console.log( new Date());
    window.popup = new popupObj();
    var port = chrome.extension.connect();
    port.postMessage({method:'readyTrue'});





    chrome.extension.sendRequest({url: "link"});




    // port.postMessage({method:'testF'});
    //
    setInterval(function () {
        var port = chrome.extension.connect();
        if ($('.sub_ov.active').length) {
            port.postMessage({method:'checkStatus'});
        }
        if ($('#popup-wrapper:visible').length) {
            port.postMessage({method:'reloadPage'});
        } else {
            console.log('ok');
        }
    },4000);

    setInterval(function () {
        var port = chrome.extension.connect();
        port.postMessage({method:'reloadPage'});
    }, 3600000);
}

function testReload() {
    var port = chrome.extension.connect();
    port.postMessage({method:'reloadPage'});
}